<?php

declare(strict_types=1);

namespace App\SuperAdmin\Domain\Exception;

use App\SuperAdmin\Domain\Model\Establishment\EstablishmentId;
use DomainException;

use function sprintf;

final class EstablishmentDejaInactifException extends DomainException
{
    public static function pour(EstablishmentId $id): self
    {
        return new self(
            sprintf('L\'établissement %s est déjà inactif.', $id),
        );
    }
}
